import { type Span } from "@opentelemetry/api";
export type EnableTracingOptions = {
    provider?: {
        serviceName?: string;
        exporterUrl?: string;
        exporterHeaders?: Record<string, string>;
    };
};
export declare const enableTracing: (tracerName: string, opts?: EnableTracingOptions) => void;
export declare const disableTracing: () => void;
export declare function isPromise<T>(obj: unknown): obj is Promise<T>;
export declare function isGenerator(obj: unknown): obj is Generator;
export declare function isAsyncGenerator(obj: unknown): obj is AsyncGenerator;
export declare function traceFunc<Args extends unknown[], Return>(name: string, fn: (...args: Args) => Return, setAttributes?: (span: Span, ...args: Args) => void): (...args: Args) => Return;
export declare const flush: () => Promise<void>;
//# sourceMappingURL=index.d.ts.map